# Generated from persistent-dmnd-2.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name persistent-dmnd

Name: rubygem-%{gem_name}
Version: 2.0.2
Release: 1%{?dist}
Summary: Persistent-💎: Because Immutable Data Is Forever
License: MIT
URL: https://gitlab.com/ivoanjo/persistent-dmnd/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(concurrent-ruby) >= 1.1
# BuildRequires: rubygem(concurrent-ruby) < 2
# BuildRequires: rubygem(rufo) >= 0.7
# BuildRequires: rubygem(rufo) < 1
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
BuildArch: noarch

%description
A tiny ruby gem that gives you a beautiful short-hand syntax for creating
immutable arrays, hashes and sets.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/gems.rb
%{gem_libdir}
%{gem_instdir}/sorbet
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CODE_OF_CONDUCT.adoc
%doc %{gem_instdir}/README.adoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/UPSTREAM_TODO.adoc
%{gem_instdir}/persistent-dmnd.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.2-1
- Initial package
